package com.qmth.teachcloud.report.business.templete.service.impl;

import com.qmth.teachcloud.common.contant.SystemConstant;
import com.qmth.teachcloud.report.business.service.AnalyzeForReportService;
import com.qmth.teachcloud.report.business.templete.service.TaskCalculateService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.Map;

/**
 * @Description: 任务实现逻辑实现类
 * @Author: CaoZixuan
 * @Date: 2021-06-18
 */
@Service
public class TaskCalculateServiceImpl implements TaskCalculateService {
    @Resource
    private AnalyzeForReportService analyzeForReportService;

    @Transactional(rollbackFor = Exception.class)
    @Override
    public Map<String, Object> dataCalculate(Map<String, Object> map) throws Exception {
        Long examId = SystemConstant.convertIdToLong(String.valueOf(map.get("examId")));
        String courseCode = String.valueOf(map.get("courseCode"));
        analyzeForReportService.dataCalculate(examId,courseCode);
        return map;
    }
}
